#ifndef CLIENTLOGUSER_H
#define CLIENTLOGUSER_H

/* The ClientLogUser subclass of ClientUser is used to build a FileLogCache - it should only
 * be used with calls to "p4 filelog". */

class ClientLogUser : public ClientUser  
{
public:
	ClientLogUser();
	virtual ~ClientLogUser();

	/* This method reads in a filelog and dumps it into a FileHead object.*/
	void OutputInfo(char, const_char*);

	FileHead* working; //This is the FileHead that we'll be modifying.
private:
	bool doneone; //error checking - set to true after level == '0'
	bool toomany; //error checking - set to true if (level == '0' && doneone)
};

#endif // CLIENTLOGUSER_H
